//---------------------------------------------------------------------------------
// 
//  mv10q010.vh
//
//  Description: Everspin 1 Mb Quad SPI MRAM Memory Model Parameters 
//
//---------------------------------------------------------------------------------
// 
//  This confidential and proprietary software may be used only as authorized 
//  by the included licensing agreement from Everspin titled 'EverspinSLA.txt'     
//                                                                               
//                   Copyright 2016 Everspin Technologies, Inc
//                                                                               
//  The entire notice above must be reproduced and the Everspin SLA included for 
//  all authorized copies.                                                                 
//
//---------------------------------------------------------------------------------
//
//  Current Revision:  1.0
//
//  Revision History:
//  1.0   05.02.16    Initial Release   
//
//--------------------------------------------------------------------------------- 

// Simulation Parameters
parameter STOP_ON_ERROR = 0;
parameter STOP_ON_WARNING = 0;
parameter VERBOSE_LEVEL = 1;

// Timing Parameters- NOTE: All timing in ps
parameter TWH = 4_000;				
parameter TWHR = 11_000;			
parameter TWL = 4_000;				
parameter TWLR = 11_000;			
// Synchronous Data Timing
parameter TCSS = 5_000;				
parameter TCSH = 5_000;				
parameter TSU = 2_000;				
parameter TH = 5_000;				
parameter TV = 7_000;				
parameter THO = 1_500;				
parameter TCS = 10_000;				
parameter TCSW = 50_000;			
// Hold Timing
parameter THD = 2_000;
parameter TCD = 2_000;
parameter TLZ = 12_000;
parameter THZ = 7_000;
// Other Timing Specs
parameter TWPS = 5_000;
parameter TWPH = 5_000;
parameter TDP = 3_000_000;
parameter TRDP = 400_000_000;
parameter TDIS = 7_000;				

